Subject: bug#30189: closed (Re: bug#30189: [PATCH] Re: bug#30189: Retux game halts after preloading levels (missing ucd.sqlite uniseg database))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Jan 2018 05:20:02 +0000

Your bug report

#30189: Retux game halts after preloading levels (missing ucd.sqlite uniseg database)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30189: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30189
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30189: [PATCH] Re: bug#30189: Retux game halts after preloading levels (missing ucd.sqlite uniseg database)
From: Leo Famulari <[email-masked]>
To: Ben Sturmfels <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Jan 2018 00:19:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Jan 22, 2018 at 01:03:12PM +1100, Ben Sturmfels wrote:
> Patch for python-uniseg attached that fixes bug#30189.
> 
> Sorry if this is a duplicate, but I can't seem my previous email in the
> guix-patches archives. Maybe because I missed the [PATCH] in the subject?

Hm... I'm not sure what's up with that.

> From 42c1e69526ec9781e3f7290fb74e2a561131e3be Mon Sep 17 00:00:00 2001
> From: Ben Sturmfels <[email-masked]>
> Date: Sun, 21 Jan 2018 18:43:07 +1100
> Subject: [PATCH] gnu: python-uniseg: Switch to PyPi source to get missing
>  ucd.sqlite3.
> 
> * gnu/packages/python.scm (python-uniseg): Use PyPI, add zipfile dependency to
>   unpack.

Anyways, I edited the commit message and pushed as
526789a1acb14cf930a756e968b4de8cb9d95188

Thanks!

Subject: Retux game halts after preloading levels (missing ucd.sqlite uniseg database)
From: Ben Sturmfels <[email-masked]>
To: [email-masked]
Cc: Kei Kebreau <[email-masked]>
Date: Sun, 21 Jan 2018 14:46:40 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Folks,

I'd like to play the Retux game, but while the game starts up it crashes
on me after the "preloading levels" screen.

There's no useful console output, but when running in the debugger, I
see that the python-uniseg package is looking for a file called
ucd.sqlite3 that doesn't exist, some kind of Unicode letter spacing
database that's not present in the BitBucket repository.

  python3 -m pdb -c continue \
  "/gnu/store/57psnlgdyri8phkxzasaf6q0gb8nskpz-retux-1.3.5/bin/.retux-real"

See uniseg/db.py:107 and 21. Since it's also looking in the current
directory, I tried downloading ucd.sqlite3 from the PyPI zip package -
that fixes the issue.

The python-uniseg package downloads the source from BitBucket, so I
tried changing that to PyPI:

  (uri (pypi-uri "uniseg" version ".zip"))

which downloads ok, but fails but the fails at the unpack phase without
any details. Should Guix know how to unpack a .zip? Or maybe I should
coerce the maintainer to publish a .tar.gz?

Currently Retux is the only program that uses python-uniseg (via
python-sge-pygame dependency).

Regards,
Ben